VST 3 SDK: Steinberg::Vst::Helpers Namespace Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Functions
Steinberg::Vst::Helpers Namespace Reference

## Functions
template<class T>
T | boundTo (T minval, T maxval, T x)
| bound a value between a min and max
Event & | init (Event &event, uint16 type, int32 busIndex=0, int32 sampleOffset=0, TQuarterNotes ppqPosition=0, uint16 flags=0)
| Initialized a Event.
ParamValue | getMIDINormValue (uint8 value)
| Returns normalized value of a LegacyMIDICCOutEvent value [0, 127].
int8 | getMIDICCOutValue (ParamValue value)
| Returns LegacyMIDICCOut value [0, 127] from a normalized value [0., 1.
int16 | getMIDI14BitValue (ParamValue value)
| Returns MIDI 14bit value from a normalized value [0., 1.
ParamValue | getMIDI14BitNormValue (int16 value)
| Returns normalized value of a MIDI 14bit [0., 0x3FFF].
int16 | getPitchBendValue (const LegacyMIDICCOutEvent &e)
| Returns pitchbend value from a PitchBend LegacyMIDICCOut Event.
void | setPitchBendValue (LegacyMIDICCOutEvent &e, ParamValue value)
| set a normalized pitchbend value to a LegacyMIDICCOut Event
ParamValue | getNormPitchBendValue (const LegacyMIDICCOutEvent &e)
| Returns normalized pitchbend value from a PitchBend LegacyMIDICCOut Event.
LegacyMIDICCOutEvent & | initLegacyMIDICCOutEvent (Event &event, uint8 controlNumber, uint8 channel=0, int8 value=0, int8 value2=0)
| Initialized a LegacyMIDICCOutEvent.
tresult | isProjectState (IBStream *state)
| Helpers.

## Function Documentation

## ◆ boundTo()

template<class T>

T boundTo | ( | T | minval,
|  | T | maxval,
|  | T | x )
| inline

bound a value between a min and max

## ◆ init()

Event & init | ( | Event & | event,
|  | uint16 | type,
|  | int32 | busIndex = 0,
|  | int32 | sampleOffset = 0,
|  | TQuarterNotes | ppqPosition = 0,
|  | uint16 | flags = 0 )
| inline

Initialized a Event.

## ◆ getMIDINormValue()

ParamValue getMIDINormValue | ( | uint8 | value | ) |
| inline

Returns normalized value of a LegacyMIDICCOutEvent value [0, 127].

## ◆ getMIDICCOutValue()

int8 getMIDICCOutValue | ( | ParamValue | value | ) |
| inline

Returns LegacyMIDICCOut value [0, 127] from a normalized value [0., 1.

]

## ◆ getMIDI14BitValue()

int16 getMIDI14BitValue | ( | ParamValue | value | ) |
| inline

Returns MIDI 14bit value from a normalized value [0., 1.

]

## ◆ getMIDI14BitNormValue()

ParamValue getMIDI14BitNormValue | ( | int16 | value | ) |
| inline

Returns normalized value of a MIDI 14bit [0., 0x3FFF].

## ◆ getPitchBendValue()

int16 getPitchBendValue | ( | const LegacyMIDICCOutEvent & | e | ) |
| inline

Returns pitchbend value from a PitchBend LegacyMIDICCOut Event.

## ◆ setPitchBendValue()

void setPitchBendValue | ( | LegacyMIDICCOutEvent & | e,
|  | ParamValue | value )
| inline

set a normalized pitchbend value to a LegacyMIDICCOut Event

## ◆ getNormPitchBendValue()

ParamValue getNormPitchBendValue | ( | const LegacyMIDICCOutEvent & | e | ) |
| inline

Returns normalized pitchbend value from a PitchBend LegacyMIDICCOut Event.

## ◆ initLegacyMIDICCOutEvent()

LegacyMIDICCOutEvent & initLegacyMIDICCOutEvent | ( | Event & | event,
|  | uint8 | controlNumber,
|  | uint8 | channel = 0,
|  | int8 | value = 0,
|  | int8 | value2 = 0 )
| inline

Initialized a LegacyMIDICCOutEvent.

## ◆ isProjectState()

tresult isProjectState | ( | IBStream * | state | ) |
| inline

Helpers.

Retrieve from a IBStream the state type, here the StateType::kProject return kResultTrue if the state is coming from a project, return kResultFalse if the state is coming from a preset, return kNotImplemented if the host does not implement such feature

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.